Subject: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Oct 2023 09:08:04 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  Gregory Heytings
>  <[email-masked]>,  [email-masked],  Eli Zaretskii
>  <[email-masked]>,  [email-masked]
> Date: Thu, 05 Oct 2023 07:55:55 +0200
> 
> When I start 058c012f73d4abe014ace44b46c23babd48aebbc by double-clicking
> Emacs.app, then M-x shell, I get
> 
> $ locale
> LANG=""
> LC_COLLATE="C"
> LC_CTYPE="C"
> LC_MESSAGES="C"
> LC_MONETARY="C"
> LC_NUMERIC="C"
> LC_TIME="C"
> LC_ALL=
> 
> That can't be right, or is it?
> 
> The same, one commit before that:
> 
> $ locale
> LANG="en_DE.UTF-8"
> LC_COLLATE="C"
> LC_CTYPE="C"
> LC_MESSAGES="C"
> LC_MONETARY="C"
> LC_NUMERIC="C"
> LC_TIME="C"
> LC_ALL=
> 
> At least LANG looks correct to me (I'm using an English UI, in DE.).
> The LC_* are odd, though.

Emacs forces LC_ALL= and LC_NUMERIC=C, to properly localize the
initial error messages and format numbers as in the "C" locale, see
'main' (which also has an NS-specific code).